Subject: Re: glade_xml_signal_autoconnect doesn't find functions, symbols not exported?
From: "Gerrit P. Haase" <[email-masked]>
To: Eduardo M KALINOWSKI <[email-masked]>
Cc: [email-masked]
Date: Fri, 07 Jan 2005 20:50:59 +0100

Eduardo M KALINOWSKI wrote:

> I'm porting I program I wrote under Linux to Windows using cygwin. It 
> compiled without a single change, but when run, libglade's 
> glade_xml_signal_autoconnect function did not find the signal handler 
> functions, and issues errors like this:
> 
> 
> libglade-WARNING **: could not find signal handler 'some_function'.
> 
> 
> For the functions that were written by me, the solution was very simple: 
> I added G_MODULE_EXPORT to the declarations, and this made them be 
> correctly exported, so that libglade found them.
> 
> However, I use also as signal handlers a couple of functions from the 
> gtk+ library, such as gtk_widget_hide_on_delete. This function is not 
> found, and the handler is not connected. --export-dynamic is in the 
> linker flags, I've verified that.
> 
> It seems that the functions in the gtk+ dll are not exported, but this 
> seems very weird, so I guess I'm doing something wrong. Perhaps 
> something more is needed under cygwin for that to work?
> 
> Thanks in advance,
> 

gtk_widget_hide_on_delete is exported explicitly (at least in version
2.4.14 whioch is the latest available).

How do you compile your application (ie the link command)?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/